## node-tap 12.0.1+ds

=== docs/Makefile ===
run:
	bundle exec jekyll serve

## node-tap 0.4.13

=== debian/changelog ===
node-tap (0.4.13-2) unstable; urgency=medium

  * Patch fixing failing test FTBFS (Closes: #775627)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 16 Feb 2015 23:52:37 +0100

node-tap (0.4.13-1) unstable; urgency=low

  * Initial release (Closes: #765988)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 20 Oct 2014 02:01:43 +0200

=== debian/control ===
Source: node-tap
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 8)
 , dh-buildinfo
 , help2man
 , node-glob
 , node-nopt
 , node-yamlish
 , node-mkdirp
 , node-slide
 , node-inherits
 , node-diff
 , nodejs
Standards-Version: 3.9.6
Homepage: https://github.com/isaacs/node-tap
Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-tap.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-tap.git
XS-Testsuite: autopkgtest

Package: node-tap
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-glob
 , node-nopt
 , node-yamlish
 , node-mkdirp
 , node-slide
 , node-inherits
 , node-diff
Suggests:
 node-runforcover
Description: Test-Anything-Protocol module for Node.js
 Utilities for writing test harnesses complying with TAP output format.
 .
 TAP is a simple text-based interface between testing modules
 implemented in many popular languages.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	dh_install
	chmod a+x debian/node-tap/usr/lib/nodejs/tap/bin/*.js

override_dh_auto_test:
	./bin/tap.js test/*.js

override_dh_auto_build: debian/tap.1

debian/tap.1:
	help2man -N -n "Test-Anything-Protocol module for Node.js" bin/tap.js -o "$@"

## node-tap 0.7.1

=== debian/changelog ===
node-tap (0.7.1-1.1) unstable; urgency=medium

  * fix tap executable permission override.
    (Closes: #815745)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 24 Feb 2016 09:59:26 +0100

node-tap (0.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Ximin Luo <infinity0@debian.org>  Mon, 31 Aug 2015 04:30:06 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>
 Build-Depends:
- debhelper (>= 8)
+ debhelper (>= 9)
  , dh-buildinfo
  , help2man
  , node-glob
@@ -18,8 +18,7 @@
 Standards-Version: 3.9.6
 Homepage: https://github.com/isaacs/node-tap
 Vcs-Git: git://anonscm.debian.org/pkg-javascript/node-tap.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/node-tap.git
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-tap.git
 
 Package: node-tap
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,8 @@
 %:
 	dh $@
 
-override_dh_install:
-	dh_install
+override_dh_fixperms:
+	dh_fixperms
 	chmod a+x debian/node-tap/usr/lib/nodejs/tap/bin/*.js
 
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: nodejs -e "require('"'"'tap'"'"');"
Depends: @

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-tap-$1.tar.gz/ \
 https://github.com/isaacs/node-tap/tags .*/archive/v?([\d\.]+).tar.gz

## node-tap 8.0.0

=== debian/changelog ===
node-tap (8.0.0-3) unstable; urgency=medium

  * Disable segv test if gcc is missing (Closes: #848904)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 20 Dec 2016 18:20:01 +0100

node-tap (8.0.0-2) unstable; urgency=medium

  * Fail missing nyc gracefully (Closes: #844998)
  * Add Build-Depends so help2man can launch tap
  * Remove dependencies from the old tap version

 -- Jérémy Lal <kapouer@melix.org>  Sat, 19 Nov 2016 14:55:49 +0100

node-tap (8.0.0-1) unstable; urgency=medium

  * New upstream version 8.0.0
  * Secure Vcs url
  * Standards-Version 3.9.8
  * Copyright: Expat to ISC
  * Copyright for foreground-child
  * Bundle modules from tapjs as patches:
    + foreground-child
    + tap-mocha-reporter
    + clean-yaml-object
    + stack-utils
    + buffer-to-string
  * Remove the need for unavailable dependencies:
    + only-shallow
    + deeper
    + color-support
    + os-homedir
    + bluebird
  * Postpone the need for unavailable dependencies, and Suggests them:
    + coveralls
    + nyc
    + opener
  * Build-Depends: keep only what's needed to get help2man running
  * Fix help2man call (Closes: #841558)
  * Enable test suite in autopkgtest
  * Patch tests for nodejs rename and disable some tests

 -- Jérémy Lal <kapouer@melix.org>  Sun, 13 Nov 2016 19:13:51 +0100

=== debian/control ===
Source: node-tap
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , help2man
 , node-debug
 , node-diff
 , node-glob
 , node-js-yaml
 , node-signal-exit
 , node-strip-ansi
 , node-supports-color
 , node-isexe
 , node-tap-parser
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/isaacs/node-tap
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-tap.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-tap.git
Testsuite: autopkgtest

Package: node-tap
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-glob
 , node-escape-string-regexp
 , node-debug
 , node-js-yaml
 , node-mkdirp
 , node-inherits
 , node-signal-exit
 , node-supports-color
 , node-isexe
 , node-strip-ansi
 , node-diff
 , node-tmatch
 , node-tap-parser
Suggests:
 node-coveralls
 , node-nyc
 , node-opener
Description: Test-Anything-Protocol module for Node.js
 Utilities for writing test harnesses complying with TAP output format.
 .
 TAP is a simple text-based interface between testing modules
 implemented in many popular languages.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_fixperms:
	dh_fixperms -X debian/node-tap/usr/lib/nodejs/tap/bin/run.js

override_dh_installman:
	help2man -N -n "Test-Anything-Protocol module for Node.js" --no-discard-stderr bin/run.js -o debian/tap.1
	dh_installman

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/tap.1

=== debian/tests/control ===
Test-Command: tap test/*.js
Depends: @, node-which

## node-tap 11.0.0+ds1

=== debian/changelog ===
node-tap (11.0.0+ds1-2ubuntu0.1) bionic; urgency=medium

  * Fix autopkgtest errors due to timeouts (LP: #1793612)
    - Debian commit cb4643d ("Increase timeout")
      - debian/rules: set TIMEOUT=3000 and append to TAP
      - debian/tests/runtestsuite-tap: specify '-t 30000'
    - Debian commit 1d76ed9 ("Increase timeout")
      - debian/rules: set CI=1 for TAP test/*.js
      - debian/tests/runtestsuite-tap: specify CI=1
    - debian/control: update-maintainer

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Thu, 20 Sep 2018 19:45:42 -0300

node-tap (11.0.0+ds1-2) unstable; urgency=medium

  * Bug fix: "4 autopkgtests fail", thanks to Pirate Praveen (Closes:
    #877967).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 03 Dec 2017 16:05:26 +0100

node-tap (11.0.0+ds1-1) unstable; urgency=medium

  * New upstream version

 -- Bastien Roucariès <rouca@debian.org>  Fri, 01 Dec 2017 16:01:12 +0100

node-tap (10.7.2+ds1-4) unstable; urgency=medium

  * Bug fix: "node-tap FTBFS: test failures", thanks to Adrian Bunk
    (Closes: #876938). Avoid timeout test
  * coverall is recommended

 -- Bastien Roucariès <rouca@debian.org>  Wed, 27 Sep 2017 13:53:16 +0200

node-tap (10.7.2+ds1-3) unstable; urgency=medium

  * Fix autopkgtest by not using timeout

 -- Bastien Roucariès <rouca@debian.org>  Mon, 18 Sep 2017 11:15:40 +0200

node-tap (10.7.2+ds1-2) unstable; urgency=medium

  * Fix autopkgtest

 -- Bastien Roucariès <rouca@debian.org>  Fri, 15 Sep 2017 10:56:06 +0200

node-tap (10.7.2+ds1-1) unstable; urgency=medium

  * New upstream version (Closes: #872899).
  * Bump policy no changes
  * Add myself as maintainer

 -- Bastien Roucariès <rouca@debian.org>  Thu, 14 Sep 2017 13:42:33 +0200

node-tap (8.0.0-6) unstable; urgency=medium

  * Team upload
  * Use module node-clean-yaml-object instad of patch
  * Use node-tap-mocha-reporter instead of patch
  * Use node-stack-utils instead of patch

 -- Bastien Roucariès <rouca@debian.org>  Thu, 07 Sep 2017 11:11:55 +0200

node-tap (8.0.0-5) unstable; urgency=medium

  * Team upload.
  * Use module foreground-child instead of patch.
  * Run tap using a wrapper in order to get usage.

 -- Bastien Roucariès <rouca@debian.org>  Fri, 01 Sep 2017 14:31:56 +0200

node-tap (8.0.0-4) unstable; urgency=medium

  * Build reproducibility: do not use dh_fixperms -X

 -- Jérémy Lal <kapouer@melix.org>  Wed, 01 Feb 2017 10:11:25 +0100

=== debian/control ===
Source: node-tap
Section: javascript
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Bastien Roucariès <rouca@debian.org>
Build-Depends:
 debhelper (>= 10)
 , dh-buildinfo
 , nodejs (>= 6)
 , dpkg-dev (>= 1.17.14)
 , help2man <!nodoc>
 , node-clean-yaml-object (>= 0.1.0) <!nocheck> <!nodoc>
 , node-supports-color  <!nocheck> <!nodoc>
 , node-foreground-child (>= 1.3.3) <!nocheck> <!nodoc>
 , node-glob (>= 7) <!nocheck> <!nodoc>
 , node-isexe (>= 2.0) <!nocheck> <!nodoc>
 , node-js-yaml (>= 3.10.0) <!nocheck> <!nodoc>
 , node-mkdirp (>= 0.5.1) <!nocheck> <!nodoc>
 , node-rimraf (>= 2.6.2) <!nocheck> <!nodoc>
 , node-signal-exit (>= 3.0.0) <!nocheck> <!nodoc>
 , node-source-map-support (>= 0.4.18) <!nocheck> <!nodoc>
 , node-stack-utils (>= 1.0) <!nocheck> <!nodoc>
 , node-tap-mocha-reporter (>= 3.0.6) <!nocheck> <!nodoc>
 , node-tap-parser (>= 7.0.0) <!nocheck> <!nodoc>
 , node-tmatch (>= 3.0.0) <!nocheck> <!nodoc>
 , node-write-file-atomic (>=2.3.0) <!nocheck> <!nodoc>
 , node-mkdirp (>= 0.5.0) <!nocheck> <!nodoc>
 , node-which (>= 1.1.1) <!nocheck> <!nodoc>
 , node-assert (>= 1.0) <!nocheck> <!nodoc>
 , node-coveralls (>= 2.13.3) <!nocheck> <!nodoc>
 , node-opener (>= 1.4.1) <!nocheck> <!nodoc>
Standards-Version: 4.1.1
Homepage: https://github.com/isaacs/node-tap
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-tap.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-tap.git

Package: node-tap
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-clean-yaml-object (>= 0.1.0)
 , node-supports-color
 , node-foreground-child (>= 1.3.3)
 , node-glob (>= 7)
 , node-isexe (>= 2.0)
 , node-js-yaml (>= 3.10.0)
 , node-mkdirp (>= 0.5.1)
 , node-rimraf (>= 2.6.2)
 , node-signal-exit (>= 3.0.0)
 , node-source-map-support (>= 0.4.18)
 , node-stack-utils (>= 1.0)
 , node-tap-mocha-reporter (>= 3.0.6)
 , node-tap-parser (>= 7.0.0)
 , node-tmatch (>= 3.0.0)
 , node-write-file-atomic (>=2.3.0)
Recommends:
 node-coveralls (>= 2.13.3)
  , node-opener (>= 1.4.1)
Suggests:
 node-nyc (>= 7.1)
Description: Test-Anything-Protocol module for Node.js
 Utilities for writing test harnesses complying with TAP output format.
 .
 TAP is a simple text-based interface between testing modules
 implemented in many popular languages.
 .
 This package includes leaf package node-bind-obj-methods,
 node-fs-exists-cached, node-function-loop, node-own-or, node-own-or-env,
 node-trivial-deferred, node-tsame, node-yapool
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

define newline =


endef
define space =
endef

COMPONENTS=$(subst $(newline),$(space),$(shell set -e;cd debian/components && (find . -type d -printf "%f\n" | sed '/^[.]$$/d' )))
COMPONENTS_FILES=$(foreach component,$(COMPONENTS),debian/components/$(component)/$(1))
COPYRIGHT_COMPONENTS_FILES=$(call COMPONENTS_FILES,copyright)
INSTALL_COMPONENTS_FILES=$(call COMPONENTS_FILES,install)
MODULES_COMPONENTS=$(foreach component,$(COMPONENTS),$(shell echo $(component) | sed 's/^module[-]//g'))

TIMEOUT=3000
TAP:= $(CURDIR)/bin/run.js -R spec -t $(TIMEOUT)

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/node-tap/usr/lib/nodejs/tap/bin/run.js

node_modules: 
	mkdir node_modules
	set -e;\
	for module in $(COMPONENTS); do \
		ln -s "../$$module" node_modules/`echo "$$module" | sed s/^module[-]//g`; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_auto_test: node_modules
	cd module-bind-obj-methods && $(TAP) test.js
	cd module-fs-exists-cached && $(TAP) test.js
	cd module-function-loop && $(TAP) test.js
	cd module-own-or && $(TAP) test.js
	cd module-own-or-env && $(TAP) test.js
	cd module-trivial-deferred && $(TAP) test.js
	cd module-yapool && $(TAP) test.js
	cd module-tsame && $(TAP) test
	CI=1 TRAVIS=1 $(TAP) test/*.js
else
override_dh_auto_test:
	@echo '**********************************************************'
	@echo 'Skip test                  '
	@echo '**********************************************************'
endif

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_installman: node_modules
	help2man -N -n "Test-Anything-Protocol module for Node.js" --no-discard-stderr bin/run.js -o debian/tap.1
	dh_installman
else
override_dh_installman:
	@echo '**********************************************************'
	@echo 'Skip generating man page                                  '
	@echo '**********************************************************'
endif

override_dh_installdocs:
	dh_installdocs
	set -e ; for c in $(MODULES_COMPONENTS); do \
	    mkdir -p "debian/node-tap/usr/share/doc/node-$$c"; \
	    ln -s ../node-tap/copyright debian/node-tap/usr/share/doc/node-$$c/copyright; \
	    ln -s ../node-tap/changelog.Debian.gz debian/node-tap/usr/share/doc/node-$$c/changelog.Debian.gz; \
	    cp -f module-$$c/README.md debian/node-tap/usr/share/doc/node-$$c/; \
	done

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_installexamples:
	dh_installexamples
	find debian/node-tap/usr/share/doc/node-tap/examples -name '*.js' -exec \
		sed -i "s,require[(]['][.][.][^']lib/tap.js['][)],require('tap'),g" {} \;
else
override_dh_installexamples:
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/tap.1
	rm -rf node_modules
	rm -rf COMPONENTS

debian/copyright: debian/components/copyright $(COPYRIGHT_COMPONENTS_FILES) debian/components/copyright.license
	cat debian/components/copyright $(COPYRIGHT_COMPONENTS_FILES) debian/components/copyright.license > debian/copyright

debian/install: debian/components/install $(INSTALL_COMPONENTS_FILES)
	cp -f debian/components/install debian/install
	set -e; \
	for c in $(COMPONENTS); do \
			sed -e "/^./ s,^,$$c/,g" < debian/components/$$c/install >> debian/install; \
	done;

maint_rule: debian/copyright debian/install
	$(info $(COPYRIGHT_COMPONENTS_FILES))
	$(info run maint rules)

=== debian/watch ===
--- 
+++ 
@@ -1,4 +1,4 @@
-version=3
+version=4
 opts=\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-tap-$1.tar.gz/ \

## node-tap 11.1.4+ds

=== debian/changelog ===
node-tap (11.1.4+ds-2) unstable; urgency=medium

  * use CI=1 env variable in order to increase timeout.
    Fix FTBFS

 -- Bastien Roucariès <rouca@debian.org>  Tue, 08 May 2018 15:16:17 +0200

node-tap (11.1.4+ds-1) unstable; urgency=medium

  * Update own-or-env
  * Increase timeout for build, thanks to Graham Inggs
    (Closes: #895312).
  * Bump compat or policy (no changes).
  * Move to salsa
  * Change homepage

 -- Bastien Roucariès <rouca@debian.org>  Mon, 07 May 2018 15:10:30 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: node-tap
 Section: javascript
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Bastien Roucariès <rouca@debian.org>
 Build-Depends:
- debhelper (>= 10)
+ debhelper (>= 11)
  , dh-buildinfo
  , nodejs (>= 6)
  , dpkg-dev (>= 1.17.14)
@@ -20,21 +19,21 @@
  , node-mkdirp (>= 0.5.1) <!nocheck> <!nodoc>
  , node-rimraf (>= 2.6.2) <!nocheck> <!nodoc>
  , node-signal-exit (>= 3.0.0) <!nocheck> <!nodoc>
- , node-source-map-support (>= 0.4.18) <!nocheck> <!nodoc>
+ , node-source-map-support (>= 0.5.4) <!nocheck> <!nodoc>
  , node-stack-utils (>= 1.0) <!nocheck> <!nodoc>
- , node-tap-mocha-reporter (>= 3.0.6) <!nocheck> <!nodoc>
+ , node-tap-mocha-reporter (>= 3.0.7) <!nocheck> <!nodoc>
  , node-tap-parser (>= 7.0.0) <!nocheck> <!nodoc>
  , node-tmatch (>= 3.0.0) <!nocheck> <!nodoc>
  , node-write-file-atomic (>=2.3.0) <!nocheck> <!nodoc>
  , node-mkdirp (>= 0.5.0) <!nocheck> <!nodoc>
  , node-which (>= 1.1.1) <!nocheck> <!nodoc>
  , node-assert (>= 1.0) <!nocheck> <!nodoc>
- , node-coveralls (>= 2.13.3) <!nocheck> <!nodoc>
+ , node-coveralls (>= 3.0.0) <!nocheck> <!nodoc>
  , node-opener (>= 1.4.1) <!nocheck> <!nodoc>
-Standards-Version: 4.1.1
-Homepage: https://github.com/isaacs/node-tap
-Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-tap.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-javascript/node-tap.git
+Standards-Version: 4.1.4
+Homepage: https://github.com/tapjs/node-tap
+Vcs-Git: https://salsa.debian.org/js-team/node-tap.git
+Vcs-Browser: https://salsa.debian.org/js-team/node-tap
 
 Package: node-tap
 Architecture: all
@@ -50,17 +49,17 @@
  , node-mkdirp (>= 0.5.1)
  , node-rimraf (>= 2.6.2)
  , node-signal-exit (>= 3.0.0)
- , node-source-map-support (>= 0.4.18)
+ , node-source-map-support (>= 0.5.4)
  , node-stack-utils (>= 1.0)
- , node-tap-mocha-reporter (>= 3.0.6)
+ , node-tap-mocha-reporter (>= 3.0.7)
  , node-tap-parser (>= 7.0.0)
  , node-tmatch (>= 3.0.0)
  , node-write-file-atomic (>=2.3.0)
 Recommends:
- node-coveralls (>= 2.13.3)
+ node-coveralls (>= 3.0.0)
   , node-opener (>= 1.4.1)
 Suggests:
- node-nyc (>= 7.1)
+ node-nyc (>= 11.6.0)
 Description: Test-Anything-Protocol module for Node.js
  Utilities for writing test harnesses complying with TAP output format.
  .

## node-tap 12.0.1%2Bds

=== debian/control ===
Source: node-tap
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
           Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , nodejs (>= 6)
 , help2man <!nodoc>
 , node-clean-yaml-object <!nocheck> <!nodoc>
 , node-supports-color  <!nocheck> <!nodoc>
 , node-foreground-child <!nocheck> <!nodoc>
 , node-glob (>= 7) <!nocheck> <!nodoc>
 , node-isexe (>= 2.0) <!nocheck> <!nodoc>
 , node-js-yaml (>= 3.11.0) <!nocheck> <!nodoc>
 , node-mkdirp (>= 0.5.1) <!nocheck> <!nodoc>
 , node-rimraf (>= 2.6.2) <!nocheck> <!nodoc>
 , node-signal-exit <!nocheck> <!nodoc>
 , node-source-map-support (>= 0.5.6) <!nocheck> <!nodoc>
 , node-stack-utils <!nocheck> <!nodoc>
 , node-tap-mocha-reporter <!nocheck> <!nodoc>
 , node-tap-parser (>= 7.0.0) <!nocheck> <!nodoc>
 , node-tmatch (>= 4.0.0) <!nocheck> <!nodoc>
 , node-write-file-atomic <!nocheck> <!nodoc>
 , node-mkdirp <!nocheck> <!nodoc>
 , node-which (>= 1.1.1) <!nocheck> <!nodoc>
 , node-assert <!nocheck> <!nodoc>
 , node-coveralls <!nocheck> <!nodoc>
 , node-opener <!nocheck> <!nodoc>
 , pkg-js-tools (>= 0.9.20~)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/js-team/node-tap
Vcs-Git: https://salsa.debian.org/js-team/node-tap.git
Homepage: https://github.com/tapjs/node-tap
Rules-Requires-Root: no

Package: node-tap
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 6)
 , node-clean-yaml-object
 , node-supports-color
 , node-foreground-child
 , node-glob (>= 7)
 , node-isexe (>= 2.0)
 , node-js-yaml (>= 3.11.0)
 , node-mkdirp (>= 0.5.1)
 , node-rimraf (>= 2.6.2)
 , node-signal-exit
 , node-source-map-support (>= 0.5.6)
 , node-stack-utils
 , node-tap-mocha-reporter
 , node-tap-parser (>= 7.0.0)
 , node-tmatch (>= 4.0.0)
 , node-write-file-atomic
Recommends:
 node-coveralls
 , node-opener
Suggests: node-nyc (>= 11.8.0)
Provides: ${nodejs:Provides}
Description: Test-Anything-Protocol module for Node.js
 Utilities for writing test harnesses complying with TAP output format.
 .
 TAP is a simple text-based interface between testing modules
 implemented in many popular languages.
 .
 This package includes leaf package node-bind-obj-methods,
 node-fs-exists-cached, node-function-loop, node-own-or, node-own-or-env,
 node-trivial-deferred, node-tsame, node-yapool
 .
 Node.js is an event-based server-side JavaScript engine.

## node-tap 12.0.1+ds

=== debian/changelog ===
node-tap (12.0.1+ds-3) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.5.0
  * Fix test for js-yaml 3.14.0 (Closes: #964880)

 -- Xavier Guimard <yadd@debian.org>  Tue, 11 Aug 2020 11:43:47 +0200

node-tap (12.0.1+ds-2) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Use pkg-js-tools auto install
  * Add lintian overrides
  * Update links
  * Use ${nodejs:Provides}
  * Disable 3 tests that fail with Node.js ≥ 12

 -- Xavier Guimard <yadd@debian.org>  Mon, 20 Jan 2020 13:05:57 +0100

node-tap (12.0.1+ds-1) unstable; urgency=medium

  * New upstream version.
  * Update embedded node-tsame.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Thu, 06 Sep 2018 15:45:42 +0200

node-tap (11.1.4+ds-3) unstable; urgency=medium

  * node-tap provides virtual package for embedded small package.

 -- Bastien Roucariès <rouca@debian.org>  Mon, 25 Jun 2018 21:15:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  , node-foreground-child <!nocheck> <!nodoc>
  , node-glob (>= 7) <!nocheck> <!nodoc>
  , node-isexe (>= 2.0) <!nocheck> <!nodoc>
- , node-js-yaml (>= 3.11.0) <!nocheck> <!nodoc>
+ , node-js-yaml (>= 3.14.0) <!nocheck> <!nodoc>
  , node-mkdirp (>= 0.5.1) <!nocheck> <!nodoc>
  , node-rimraf (>= 2.6.2) <!nocheck> <!nodoc>
  , node-signal-exit <!nocheck> <!nodoc>
@@ -29,7 +29,7 @@
  , node-coveralls <!nocheck> <!nodoc>
  , node-opener <!nocheck> <!nodoc>
  , pkg-js-tools (>= 0.9.20~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-tap
 Vcs-Git: https://salsa.debian.org/js-team/node-tap.git
 Homepage: https://github.com/tapjs/node-tap

=== debian/rules ===
--- 
+++ 
@@ -17,25 +17,18 @@
 INSTALL_COMPONENTS_FILES=$(call COMPONENTS_FILES,install)
 MODULES_COMPONENTS=$(foreach component,$(COMPONENTS),$(shell echo $(component) | sed 's/^module[-]//g'))
 
-TIMEOUT=3000
+TIMEOUT=30000
 TAP:= $(CURDIR)/bin/run.js -R spec -t $(TIMEOUT)
 
 %:
-	dh $@
+	dh $@ --with nodejs
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod a+x debian/node-tap/usr/lib/nodejs/tap/bin/run.js
-
-node_modules: 
-	mkdir node_modules
-	set -e;\
-	for module in $(COMPONENTS); do \
-		ln -s "../$$module" node_modules/`echo "$$module" | sed s/^module[-]//g`; \
-	done
+	chmod a+x debian/node-tap/usr/share/nodejs/tap/bin/run.js
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-override_dh_auto_test: node_modules
+override_dh_auto_test:
 	cd module-bind-obj-methods && $(TAP) test.js
 	cd module-fs-exists-cached && $(TAP) test.js
 	cd module-function-loop && $(TAP) test.js
@@ -53,7 +46,7 @@
 endif
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-override_dh_installman: node_modules
+override_dh_installman:
 	help2man -N -n "Test-Anything-Protocol module for Node.js" --no-discard-stderr bin/run.js -o debian/tap.1
 	dh_installman
 else
@@ -81,12 +74,6 @@
 override_dh_installexamples:
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
-	rm -f debian/tap.1
-	rm -rf node_modules
-	rm -rf COMPONENTS
-
 debian/copyright: debian/components/copyright $(COPYRIGHT_COMPONENTS_FILES) debian/components/copyright.license
 	cat debian/components/copyright $(COPYRIGHT_COMPONENTS_FILES) debian/components/copyright.license > debian/copyright
 
@@ -100,4 +87,3 @@
 maint_rule: debian/copyright debian/install
 	$(info $(COPYRIGHT_COMPONENTS_FILES))
 	$(info run maint rules)
-

=== debian/tests/control ===
Tests: require
Depends: node-tap, nodejs (>= 6)

Tests: runtestsuite-module-bind-obj-methods
Depends: node-tap, nodejs (>= 6)

Tests: runtestsuite-module-fs-exists-cached
Depends: node-tap, node-rimraf (>= 2.5.4), nodejs (>= 6)

Tests: runtestsuite-module-function-loop
Depends: node-tap, nodejs (>= 6)

Tests: runtestsuite-module-own-or
Depends: node-tap, nodejs (>= 6), node-assert (>= 1.0)

Tests: runtestsuite-module-own-or-env
Depends: node-tap, nodejs (>= 6), node-assert (>= 1.0)

Tests: runtestsuite-module-yapool
Depends: node-tap, nodejs (>= 6), node-assert (>= 1.0)

Tests: runtestsuite-module-tsame
Depends: node-tap, nodejs (>= 6)

Tests: runtestsuite-tap
Depends: node-tap, nodejs (>= 6),  node-mkdirp (>= 0.5.1),
    node-rimraf (>= 2.5.4), node-which (>= 1.1.1)

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-tap-$1.tar.gz/ \
 https://github.com/tapjs/node-tap/tags .*/archive/v?([\d\.]+).tar.gz

## node-tap 16.3.0+ds1+~cs48.8.24

=== debian/changelog ===
node-tap (16.3.0+ds1+~cs48.8.24-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * New upstream version 16.3.0+ds1+~cs48.8.24

 -- Yadd <yadd@debian.org>  Tue, 26 Jul 2022 08:29:03 +0200

node-tap (16.1.0+ds+~cs48.8.24-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Tue, 10 May 2022 06:37:14 +0200

node-tap (16.1.0+ds+~cs48.8.24-1) experimental; urgency=medium

  * Team upload
  * Embed typescript declarations
  * New upstream version 16.1.0+ds+~cs48.8.24
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Mon, 02 May 2022 06:06:31 +0200

node-tap (15.2.3+ds+~cs33.7.17-3) unstable; urgency=medium

  * Team upload
  * Add missing dependency to node-base
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Mon, 04 Apr 2022 12:27:03 +0200

node-tap (15.2.3+ds+~cs33.7.17-2) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Yadd <yadd@debian.org>  Thu, 10 Mar 2022 06:32:17 +0100

node-tap (15.2.3+ds+~cs33.7.17-1) experimental; urgency=medium

  * Team upload
  * Update nodejs dependency to nodejs:any
  * Use dh-sequence-nodejs auto test & install
  * Use uscan components instead of old dh_component
  * New upstream version 15.2.3+ds+~cs33.7.17 (Closes: #1004503)
  * Update patches
  * Update dependencies
  * Update lintian overrides
  * Update copyright
  * Build commonjs files for module-caller*

 -- Yadd <yadd@debian.org>  Tue, 08 Mar 2022 12:02:26 +0100

node-tap (12.0.1+ds-4) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Yadd ]
  * Fix BTS number
  * Bump debhelper compatibility level to 13
  * Use dh-sequence-nodejs
  * Fix GitHub tags regex
  * Fix filenamemangle
  * Update standards version to 4.6.0, no changes needed.
  * Fix test for js-yaml ≥ 4

 -- Yadd <yadd@debian.org>  Wed, 24 Nov 2021 14:35:28 +0100

=== debian/control ===
Source: node-tap
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>, Bastien Roucariès <rouca@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.12.3~)
 , help2man <!nodoc>
 , node-ansi-escapes <!nocheck>
 , node-assert <!nodoc>
 , node-auto-bind <!nocheck>
 , node-babel7 <!nocheck>
 , node-chalk <!nocheck>
 , node-chokidar <!nocheck>
 , node-clean-yaml-object <!nodoc>
 , node-cli-boxes <!nocheck>
 , node-cli-cursor <!nocheck>
 , node-cli-truncate <!nocheck>
 , node-cliui <!nocheck>
 , node-coveralls <!nodoc>
 , node-diff <!nocheck>
 , node-esprima <!nocheck>
 , node-find-cache-dir <!nocheck>
 , node-foreground-child <!nocheck>
 , node-foreground-child <!nodoc>
 , node-glob <!nodoc>
 , node-indent-string <!nocheck>
 , node-isexe <!nodoc>
 , node-istanbul <!nocheck>
 , node-jest-debbundle <!nocheck>
 , node-lodash <!nocheck>
 , node-make-dir <!nocheck>
 , node-minipass <!nocheck>
 , node-mkdirp <!nodoc>
 , node-ms <!nocheck>
 , node-opener <!nodoc>
 , node-punycode <!nocheck>
 , node-read-pkg <!nocheck>
 , node-resolve-from <!nocheck>
 , node-rimraf <!nodoc>
 , node-shell-quote <!nocheck>
 , node-signal-exit <!nodoc>
 , node-source-map-support <!nodoc>
 , node-stack-utils <!nodoc>
 , node-string-width <!nocheck>
 , node-strip-ansi <!nocheck>
 , node-tap-mocha-reporter <!nodoc>
 , node-tap-parser (>= 10) <!nodoc>
 , node-tape <!nocheck>
 , node-which <!nodoc>
 , node-widest-line <!nocheck>
 , node-wrap-ansi <!nocheck>
 , node-ws <!nocheck>
 , rollup
 , terser
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/js-team/node-tap
Vcs-Git: https://salsa.debian.org/js-team/node-tap.git
Homepage: https://github.com/tapjs/node-tap
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-tap
Architecture: all
Depends: ${misc:Depends}
 , node-ansi-escapes
 , node-auto-bind
 , node-babel7
 , node-base
 , node-chalk
 , node-chokidar
 , node-cli-boxes
 , node-cli-cursor
 , node-cli-truncate
 , node-cliui
 , node-coveralls
 , node-diff
 , node-esprima
 , node-find-cache-dir
 , node-foreground-child
 , node-glob
 , node-indent-string
 , node-isexe
 , node-istanbul
 , node-jest-debbundle
 , node-lodash
 , node-make-dir
 , node-minipass
 , node-mkdirp
 , node-ms
 , node-opener
 , node-punycode
 , node-read-pkg
 , node-resolve-from
 , node-rimraf
 , node-shell-quote
 , node-signal-exit
 , node-slice-ansi
 , node-source-map-support
 , node-stack-utils
 , node-string-width
 , node-strip-ansi
 , node-tap-mocha-reporter
 , node-tap-parser (>= 10)
 , node-which
 , node-widest-line
 , node-wrap-ansi
 , node-ws
 , nodejs:any
Suggests: node-nyc (>= 11.8.0)
Provides: ${nodejs:Provides}
Description: Test-Anything-Protocol module for Node.js
 Utilities for writing test harnesses complying with TAP output format.
 .
 TAP is a simple text-based interface between testing modules
 implemented in many popular languages.
 .
 This package includes leaf package node-bind-obj-methods,
 node-fs-exists-cached, node-function-loop, node-own-or, node-own-or-env,
 node-trivial-deferred, node-tsame, node-yapool
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-tap-$1/ \
 https://github.com/tapjs/node-tap/tags .*/archive/.*/v?([\d\.]+).tar.gz group

opts=\
component=module-async-hook-domain,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-async-hook-domain-$1/ \
 https://github.com/tapjs/async-hook-domain/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=module-bind-obj-methods,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-bind-obj-methods-$1/ \
 https://github.com/isaacs/bind-obj-methods/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=module-caller-path,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-caller-path-$1/ \
 https://github.com/sindresorhus/caller-path/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=module-caller-callsite,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-caller-callsite-$1/ \
 https://github.com/sindresorhus/caller-callsite/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=module-findit,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-node-findit-$1/ \
 https://github.com/substack/node-findit/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=module-fs-exists-cached,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-fs-exists-cached-$1/" \
 https://registry.npmjs.org/fs-exists-cached https://registry.npmjs.org/fs-exists-cached/-/fs-exists-cached-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-function-loop,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-function-loop-$1/ \
 https://github.com/isaacs/function-loop/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=module-isaacs-import-jsx,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-isaacs-import-jsx-$1/" \
 https://registry.npmjs.org/@isaacs/import-jsx https://registry.npmjs.org/@isaacs/import-jsx/-/import-jsx-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-jackspeak,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-jackspeak-$1/ \
 https://github.com/isaacs/jackspeak/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

opts=\
component=module-libtap,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-libtap-$1/ \
 https://github.com/tapjs/libtap/tags .*/archive.*/v?([\d\.]+).tar.gz checksum

## node-tap 16.3.1+ds1+~cs48.8.25

=== debian/changelog ===
node-tap (16.3.1+ds1+~cs48.8.25-1) unstable; urgency=medium

  * Team upload
  * update findit url
  * New upstream version 16.3.1+ds1+~cs48.8.25
  * Update copyright

 -- Yadd <yadd@debian.org>  Mon, 14 Nov 2022 06:10:34 +0100

## node-tap 16.3.2%2Bds1%2B~cs50.8.16

=== debian/changelog ===
node-tap (16.3.2+ds1+~cs50.8.16-1) unstable; urgency=medium

  * Team upload
  * New upstream version 16.3.2+ds1+~cs50.8.16
  * Build tcompare with typescript
  * Fix commonjs exports
  * Add patch to export tcompare/package.json
  * Fix test
  * Test-Depends: ts-node

 -- Yadd <yadd@debian.org>  Thu, 24 Nov 2022 18:03:31 +0100

## node-tap 16.3.2+ds1+~cs50.8.16

=== debian/changelog ===
node-tap (16.3.2+ds1+~cs50.8.16-1+deb12u1) bookworm; urgency=medium

  * Backport patch to support tsnode imports by default.
    Closes: #1078897.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 11 Sep 2024 14:16:07 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  , node-cli-truncate <!nocheck>
  , node-cliui <!nocheck>
  , node-coveralls <!nodoc>
- , node-diff <!nocheck>
+ , node-diff
  , node-esprima <!nocheck>
  , node-find-cache-dir <!nocheck>
  , node-foreground-child <!nocheck>
@@ -47,12 +47,14 @@
  , node-tap-mocha-reporter <!nodoc>
  , node-tap-parser (>= 10) <!nodoc>
  , node-tape <!nocheck>
+ , node-typescript
  , node-which <!nodoc>
  , node-widest-line <!nocheck>
  , node-wrap-ansi <!nocheck>
  , node-ws <!nocheck>
  , rollup
  , terser
+ , ts-node <!nocheck>
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-tap
 Vcs-Git: https://salsa.debian.org/js-team/node-tap.git

## node-tap 16.3.7+ds1+~cs50.9.19

=== debian/changelog ===
node-tap (16.3.7+ds1+~cs50.9.19-7) unstable; urgency=medium

  * Ease transition for newer minipass

 -- Bastien Roucariès <rouca@debian.org>  Fri, 09 Aug 2024 19:14:54 +0000

node-tap (16.3.7+ds1+~cs50.9.19-6) unstable; urgency=medium

  * Port to newer minipass

 -- Bastien Roucariès <rouca@debian.org>  Thu, 08 Aug 2024 21:58:55 +0000

node-tap (16.3.7+ds1+~cs50.9.19-5) unstable; urgency=medium

  * Team upload
  * Ease transition for node-tap-parser

 -- Bastien Roucariès <rouca@debian.org>  Tue, 30 Jul 2024 23:02:32 +0000

node-tap (16.3.7+ds1+~cs50.9.19-4) unstable; urgency=medium

  * patch: improve .ts support
  * Remove --ts for debian/tests, no longer needed

 -- Jérémy Lal <kapouer@melix.org>  Tue, 12 Dec 2023 10:48:20 +0100

node-tap (16.3.7+ds1+~cs50.9.19-3) unstable; urgency=medium

  [ Yadd ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.

  [ Jérémy Lal ]
  * Pass --ts for all tests to pass properly

 -- Jérémy Lal <kapouer@melix.org>  Tue, 05 Dec 2023 18:05:21 +0100

node-tap (16.3.7+ds1+~cs50.9.19-2) unstable; urgency=medium

  * Team upload
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse
  * Add fix for node-signal-exit >= 4 and node-foreground-child >= 3

 -- Yadd <yadd@debian.org>  Fri, 18 Aug 2023 07:12:05 +0400

node-tap (16.3.7+ds1+~cs50.9.19-1) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.2
  * New upstream version 16.3.7+ds1+~cs50.9.19, updates:
    - tap 16.3.7
    - libtap 1.4.1
    - trivial-deferred 1.1.2
  * Update build and test

 -- Yadd <yadd@debian.org>  Sun, 16 Jul 2023 11:52:14 +0400

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,8 @@
  , node-diff
  , node-esprima <!nocheck>
  , node-find-cache-dir <!nocheck>
- , node-foreground-child <!nocheck>
- , node-foreground-child <!nodoc>
+ , node-foreground-child (>= 3) <!nocheck>
+ , node-foreground-child (>= 3) <!nodoc>
  , node-glob <!nodoc>
  , node-indent-string <!nocheck>
  , node-isexe <!nodoc>
@@ -30,7 +30,7 @@
  , node-jest-debbundle <!nocheck>
  , node-lodash <!nocheck>
  , node-make-dir <!nocheck>
- , node-minipass <!nocheck>
+ , node-minipass (>> 3.3.6+~cs9.4.19-3~) <!nocheck>
  , node-mkdirp <!nodoc>
  , node-ms <!nocheck>
  , node-opener <!nodoc>
@@ -39,13 +39,13 @@
  , node-resolve-from <!nocheck>
  , node-rimraf <!nodoc>
  , node-shell-quote <!nocheck>
- , node-signal-exit <!nodoc>
+ , node-signal-exit (>= 4) <!nodoc>
  , node-source-map-support <!nodoc>
  , node-stack-utils <!nodoc>
  , node-string-width <!nocheck>
  , node-strip-ansi <!nocheck>
  , node-tap-mocha-reporter <!nodoc>
- , node-tap-parser (>= 10) <!nodoc>
+ , node-tap-parser (>> 11.0.2+~cs2.1.4-2~)
  , node-tape <!nocheck>
  , node-typescript
  , node-which <!nodoc>
@@ -55,7 +55,7 @@
  , rollup
  , terser
  , ts-node <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/js-team/node-tap
 Vcs-Git: https://salsa.debian.org/js-team/node-tap.git
 Homepage: https://github.com/tapjs/node-tap
@@ -79,7 +79,7 @@
  , node-diff
  , node-esprima
  , node-find-cache-dir
- , node-foreground-child
+ , node-foreground-child (>= 3)
  , node-glob
  , node-indent-string
  , node-isexe
@@ -87,7 +87,7 @@
  , node-jest-debbundle
  , node-lodash
  , node-make-dir
- , node-minipass
+ , node-minipass (>> 3.3.6+~cs9.4.19-3~)
  , node-mkdirp
  , node-ms
  , node-opener
@@ -96,14 +96,14 @@
  , node-resolve-from
  , node-rimraf
  , node-shell-quote
- , node-signal-exit
+ , node-signal-exit (>= 4)
  , node-slice-ansi
  , node-source-map-support
  , node-stack-utils
  , node-string-width
  , node-strip-ansi
  , node-tap-mocha-reporter
- , node-tap-parser (>= 10)
+ , node-tap-parser (>> 11.0.2+~cs2.1.4-2~)
  , node-which
  , node-widest-line
  , node-wrap-ansi

## node-tap 16.3.7+ds3+~cs49.5.20

=== debian/changelog ===
node-tap (16.3.7+ds3+~cs49.5.20-3) unstable; urgency=medium

  * Fix test to be filesystem order insentitive

 -- Bastien Roucariès <rouca@debian.org>  Wed, 29 Oct 2025 23:41:08 +0100

node-tap (16.3.7+ds3+~cs49.5.20-2) unstable; urgency=medium

  * patch: fix compilation with typescript 5. Closes: #1114229.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 28 Oct 2025 09:31:52 +0100

node-tap (16.3.7+ds3+~cs49.5.20-1) unstable; urgency=medium

  * Sourcefull upload
  * Update types

 -- Bastien Roucariès <rouca@debian.org>  Mon, 19 Aug 2024 09:15:22 +0000

node-tap (16.3.7+ds2+~cs50.9.19-1) unstable; urgency=medium

  * Move jackspeak to node-cliui

 -- Bastien Roucariès <rouca@debian.org>  Sun, 18 Aug 2024 19:37:35 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  , node-cli-boxes <!nocheck>
  , node-cli-cursor <!nocheck>
  , node-cli-truncate <!nocheck>
- , node-cliui <!nocheck>
+ , node-cliui (>= 7.0.4+repack+1+~cs1.4.2-1~)
  , node-coveralls <!nodoc>
  , node-diff
  , node-esprima <!nocheck>
@@ -74,7 +74,7 @@
  , node-cli-boxes
  , node-cli-cursor
  , node-cli-truncate
- , node-cliui
+ , node-cliui (>= 7.0.4+repack+1+~cs1.4.2-1~)
  , node-coveralls
  , node-diff
  , node-esprima

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

define newline =


endef
define space =
endef

MODULES_COMPONENTS=$(pkgjs-utils root_modules_list|grep -v types)

TIMEOUT=30000
TAP:= $(CURDIR)/bin/run.js -J -R spec -t $(TIMEOUT)

%:
	dh $@

override_dh_fixperms:
	dh_fixperms
	chmod a+x debian/node-tap/usr/share/nodejs/tap/bin/*.js

ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
override_dh_installman:
	help2man -N -n "Test-Anything-Protocol module for Node.js" --no-discard-stderr bin/run.js -o debian/tap.1
	dh_installman
else
override_dh_installman:
	@echo '**********************************************************'
	@echo 'Skip generating man page                                  '
	@echo '**********************************************************'
endif

override_dh_installdocs:
	dh_installdocs
	set -e ; for c in $(MODULES_COMPONENTS); do \
	    mkdir -p "debian/node-tap/usr/share/doc/node-$$c"; \
	    ln -s ../node-tap/copyright debian/node-tap/usr/share/doc/node-$$c/copyright; \
	    ln -s ../node-tap/changelog.Debian.gz debian/node-tap/usr/share/doc/node-$$c/changelog.Debian.gz; \
	    cp -f module-$$c/README.md debian/node-tap/usr/share/doc/node-$$c/; \
	done

override_dh_installexamples:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
	dh_installexamples
	find debian/node-tap/usr/share/doc/node-tap/examples -name '*.js' -exec \
		sed -i "s,require[(]['][.][.][^']lib/tap.js['][)],require('tap'),g" {} \;
else
endif

=== debian/watch ===
version=4
opts=\
repacksuffix=+ds1,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,\
searchmode=plain \
 https://api.github.com/repos/tapjs/node-tap/tags?per_page=100 \
 https://api.github.com/repos/[^/]+/tapjs/tarball/refs/tags/@ANY_VERSION@ group

opts=\
component=module-async-hook-domain,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-async-hook-domain-$1/ \
 https://github.com/tapjs/async-hook-domain/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-bind-obj-methods,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-bind-obj-methods-$1/ \
 https://github.com/isaacs/bind-obj-methods/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-caller-path,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-caller-path-$1/ \
 https://github.com/sindresorhus/caller-path/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-caller-callsite,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-caller-callsite-$1/ \
 https://github.com/sindresorhus/caller-callsite/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-findit,\
searchmode=plain,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-node-findit-$1/ \
 https://registry.npmjs.org/findit https://registry.npmjs.org/findit/-/findit-([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=module-fs-exists-cached,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-fs-exists-cached-$1/" \
 https://registry.npmjs.org/fs-exists-cached https://registry.npmjs.org/fs-exists-cached/-/fs-exists-cached-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-function-loop,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-function-loop-$1/ \
 https://github.com/isaacs/function-loop/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=module-isaacs-import-jsx,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-isaacs-import-jsx-$1/" \
 https://registry.npmjs.org/@isaacs/import-jsx https://registry.npmjs.org/@isaacs/import-jsx/-/import-jsx-([\d\.]+)@ARCHIVE_EXT@ checksum

opts=\
component=module-libtap,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(@ANY_VERSION@@ARCHIVE_EXT@)/node-libtap-$1/ \
 https://github.com/tapjs/libtap/tags .*/archive.*/v?([\d\.]+)@ARCHIVE_EXT@ checksum

# It is not recommended use npmregistry. Please investigate more.
